#
# WIZARD Section
#

#
# task is a checkbox on the 1st page of wizard
#
task.addImports.name = Add libraries, required for deployment, to the project Search/Classpath
task.addImports.order = 10
task.addImports = true

task.compile.name = Compile classes from the selected diagram
task.compile.order = 20
task.compile = true

task.processServlets.name = Process Servlet(s) 
task.processServlets.order = 25
task.processServlets = false

task.generateDD.name = Generate Deployment Descriptor
task.generateDD.order = 30
task.generateDD = true

#task.xmlEditor = true
#task.xmlEditor.name = Open XML Edtior for the generated DD
#task.xmlEditor.order = 35

task.wlmjar.name = Generate WLM jar for Bean(s) 
task.wlmjar.order = 36
task.wlmjar = false

task.hotdeploy.name = Hot Deploy to IBM WebSphere
task.hotdeploy.order = 40
task.hotdeploy = true

#task.remotedeploy.name = FTP Deploy to Remote IBM WebSphere  
#task.remotedeploy.order = 45
#task.remotedeploy = true

#task.remotedeploy.name = FTP Deploy to Remote IBM WebSphere  
#task.remotedeploy.order = 45
#task.remotedeploy = true

task.stop.name = Stop and Remove Bean(s) and Servlet(s) before deployment
task.stop.order = 46
task.stop = true

task.start.name = Start Bean(s) and Servlet(s) after deployment
task.start.order = 47
task.start = true

task.deleteTempBefore = true
task.deleteTempBefore.name = Clear temp folder before start
task.deleteTempBefore.order = 50

task.deleteTempAfter = true
task.deleteTempAfter.name = Clear temp folder after finish
task.deleteTempAfter.order = 60

task.correctBeans = true
task.correctBeans.name = Verify/Correct EJB sources for compliance with WAS3.5 specification
task.correctBeans.order = 70

task.genRunClient = false
task.genRunClient.name = Generate start and compile file for the client
task.genRunClient.order = 80

task.generateJsp.name = Generate simple JSP client
task.generateJsp.order = 90
task.generateJsp = false

#
# Wizard pages
#
page.dirs.name = Common Properties
page.dirs.order = 1

page.correcture.name = Verify/Correct sources
page.correcture.task = correctBeans
page.correcture.order = 70

page.hotdeploy.name = Run-time deploy
page.hotdeploy.task = hotdeploy
page.hotdeploy.order = 2

#page.remotedeploy.name = Remote deploy
#page.remotedeploy.task = remotedeploy
#page.remotedeploy.order = 3

page.processServlets.name = Servlet properties
page.processServlets.task = processServlets
page.processServlets.order = 4

page.client.name = Client Properties
page.client.task = genRunClient
page.client.order = 5

page.generateJsp.name = Simple JSP client generation
page.generateJsp.task = generateJsp
page.generateJsp.order = 6

#
# Wizard properties
#

#
# NAME = default value
# NAME.name = name of the field in wizard dialog
# NAME.type = type of property editor
# NAME.page = name of page of wizard dialog where the property should appear
# NAME.order = number specifying order of the property among others on the page

TEMP_OUT = c:\\temp
TEMP_OUT.name = Folder for the temporary files
TEMP_OUT.type = DirectoryField
TEMP_OUT.page = dirs
TEMP_OUT.order = 1

RESULT_OUT = deployableEJBs
RESULT_OUT.name = WebSphere relative directory for the generated JAR file
RESULT_OUT.type = RelativeDirectoryField
RESULT_OUT.page = dirs
RESULT_OUT.order = 2
RESULT_OUT.check.2 = %%IBMSPH_HOME%%\\%%RESULT_OUT%%
RESULT_OUT.check.2.type = DirExistenceConfirm
RESULT_OUT.check.2.message = Directory '%%IBMSPH_HOME%%\\%%RESULT_OUT%%' not found\n\
         Are you sure you have selected a subdirectory of the IBM WebSphere server installation?

JAVA_HOME = %%IBMSPH_HOME%%\\jdk
JAVA_HOME.name = IBM JDK root directory
JAVA_HOME.type = DirectoryField
JAVA_HOME.page = dirs
JAVA_HOME.order = 3
JAVA_HOME.check.1 = %%JAVA_HOME%%
JAVA_HOME.check.1.type = DirExistence
JAVA_HOME.check.1.message = JDK directory '%%JAVA_HOME%%' does not exist
JAVA_HOME.check.2 = %%JAVA_HOME%%\\bin\\javac.exe
JAVA_HOME.check.2.type = FileExistence
JAVA_HOME.check.2.message = Unable to locate JAVAC.exe application under selected JDK root: %%JAVA_HOME%%\\bin\\javac.exe

IBMSPH_HOME = c:\\WebSphere\\AppServer
IBMSPH_HOME.name = WebSphere server directory
IBMSPH_HOME.type = DirectoryField
IBMSPH_HOME.page = dirs
IBMSPH_HOME.order = 4
IBMSPH_HOME.check.1 = %%IBMSPH_HOME%%
IBMSPH_HOME.check.1.type = DirExistence
IBMSPH_HOME.check.1.message = IBM WebSphere directory '%%IBMSPH_HOME%%' does not exist
IBMSPH_HOME.check.2 = %%IBMSPH_HOME%%\\properties
IBMSPH_HOME.check.2.type = DirExistenceConfirm
IBMSPH_HOME.check.2.message = Directory '%%IBMSPH_HOME%%\\properties' not found\n\
         Are you sure you have selected correct directory of IBM WebSphere server?

# ==============================
STOP_IF_NOT_COMPLIANT = true
STOP_IF_NOT_COMPLIANT.name = Stop deployment if verification fails
STOP_IF_NOT_COMPLIANT.type = BooleanField
STOP_IF_NOT_COMPLIANT.order = 19
STOP_IF_NOT_COMPLIANT.page = correcture

CORRECT_SRC = true
CORRECT_SRC.name = Correct sources to comply with WAS3.5
CORRECT_SRC.type = BooleanField
CORRECT_SRC.order = 20
CORRECT_SRC.page = correcture

DO_BACKUP = true
DO_BACKUP.name = Backup original sources before correction?
DO_BACKUP.type = BooleanField
DO_BACKUP.order = 25
DO_BACKUP.page = correcture

BACKUP_DIR = c:\\temp\\backup
BACKUP_DIR.name = Backup directory for teh source files (if "correct sources" is selected)
BACKUP_DIR.type = DirectoryField
BACKUP_DIR.order = 30
BACKUP_DIR.page = correcture

DO_RETURN = true
DO_RETURN.name = Change return types in the ejbCreate methods
DO_RETURN.type = BooleanField
DO_RETURN.order = 35
DO_RETURN.page = correcture
# ==============================


#WLMJAR = %%IBMSPH_HOME%%\\bin\\wlmjar.cmd
#WLMJAR.name = Path to wlmjar jar utility
#WLMJAR.type = FileField
#WLMJAR.page = dirs
#WLMJAR.order = 5
#WLMJAR.check.2 = %%WLMJAR%%
#WLMJAR.check.2.type = FileExistence
#WLMJAR.check.2.message = Unable to locate wlmjar utility

VERBOSE = true
VERBOSE.name = Display messages from tools
VERBOSE.type = BooleanField
VERBOSE.page = dirs
VERBOSE.order = 6

NODE_NAME = %%$MACHINE_NAME%%
NODE_NAME.name = Admin Node Name
NODE_NAME.type = StringField
NODE_NAME.page = hotdeploy
NODE_NAME.order = 1

NODE_DEPCP = %%env_XMLConfig%%
NODE_DEPCP.name = Dependent Classpath
NODE_DEPCP.type = StringField
NODE_DEPCP.page = hotdeploy
NODE_DEPCP.order = 2

APPLICATION_SERVER_NAME = Default Server
APPLICATION_SERVER_NAME.name = Application server name
APPLICATION_SERVER_NAME.type = StringField
APPLICATION_SERVER_NAME.page = hotdeploy
APPLICATION_SERVER_NAME.order = 3

APPLICATION_SERVER_PARAMS = 
APPLICATION_SERVER_PARAMS.name = Application Server Command Line Arguments
APPLICATION_SERVER_PARAMS.type = StringField
APPLICATION_SERVER_PARAMS.page = hotdeploy
APPLICATION_SERVER_PARAMS.order = 4

APPLICATION_SERVER_CP = 
APPLICATION_SERVER_CP.name = Application Server Classpath
APPLICATION_SERVER_CP.type = StringField
APPLICATION_SERVER_CP.page = hotdeploy
APPLICATION_SERVER_CP.order = 5

EJB_CONTAINER_NAME = Default Container
EJB_CONTAINER_NAME.name = EJB container name
EJB_CONTAINER_NAME.type = StringField
EJB_CONTAINER_NAME.page = hotdeploy
EJB_CONTAINER_NAME.order = 7

DATA_SOURCE_NAME = Default DataSource
DATA_SOURCE_NAME.name = Data Source name
DATA_SOURCE_NAME.type = StringField
DATA_SOURCE_NAME.page = hotdeploy
DATA_SOURCE_NAME.order = 8

USER_ID = together
USER_ID.name = User ID (only for CMP beans)
USER_ID.type = StringField
USER_ID.page = hotdeploy
USER_ID.order = 9

USER_PASSWORD = together
USER_PASSWORD.name = Password (only for CMP beans)
USER_PASSWORD.type = PasswordField
USER_PASSWORD.page = hotdeploy
USER_PASSWORD.order = 10

CREATE_TABLE
CREATE_TABLE = false
CREATE_TABLE.name = Create Table for CMP EJBs
CREATE_TABLE.type = BooleanField
CREATE_TABLE.page = hotdeploy
CREATE_TABLE.order = 11

#REMOTE_HOST_NAME = localhost
#REMOTE_HOST_NAME.name Host name of WebSphere node
#REMOTE_HOST_NAME.type StringField
#REMOTE_HOST_NAME.page = hotdeploy
#REMOTE_HOST_NAME.order = 12

REMOTE_HOST_PORT = 900
REMOTE_HOST_PORT.name = Port number of WebSphere node
REMOTE_HOST_PORT.type = StringField
REMOTE_HOST_PORT.page = hotdeploy
REMOTE_HOST_PORT.order = 13

REMOTE_IBMSPH_HOME = %%IBMSPH_HOME%%
REMOTE_IBMSPH_HOME.name = Target WebSphere server directory
REMOTE_IBMSPH_HOME.type = DirectoryField
REMOTE_IBMSPH_HOME.page = hotdeploy
REMOTE_IBMSPH_HOME.order = 14
REMOTE_IBMSPH_HOME.check.1 = %%REMOTE_IBMSPH_HOME%%
REMOTE_IBMSPH_HOME.check.1.type = DirExistence
REMOTE_IBMSPH_HOME.check.1.message = IBM WebSphere directory '%%REMOTE_IBMSPH_HOME%%' does not exist
REMOTE_IBMSPH_HOME.check.2 = %%REMOTE_IBMSPH_HOME%%\\properties
REMOTE_IBMSPH_HOME.check.2.type = DirExistenceConfirm
REMOTE_IBMSPH_HOME.check.2.message = Directory '%%REMOTE_IBMSPH_HOME%%\\properties' not found\n\
         Are you sure you have selected correct directory of IBM WebSphere server?


REMOTE_IBMSPH_DEBUG = false
REMOTE_IBMSPH_DEBUG.name = Launch server in debug mode
REMOTE_IBMSPH_DEBUG.type = BooleanField
REMOTE_IBMSPH_DEBUG.page = hotdeploy
REMOTE_IBMSPH_DEBUG.order = 15
REMOTE_IBMSPH_DEBUG.check.1 = false
REMOTE_IBMSPH_DEBUG.check.1.type = OkCancelDialog
REMOTE_IBMSPH_DEBUG.check.1.message = Debug options can corrupt Application Server node\n\
                                      if you have not installed JDK Debug libraries.\n\
                                      Do you want to continue with this option?

REMOTE_IBMSPH_DEBUG_PORT = 8787
REMOTE_IBMSPH_DEBUG_PORT.name = Debug port number
REMOTE_IBMSPH_DEBUG_PORT.type = StringField
REMOTE_IBMSPH_DEBUG_PORT.page = hotdeploy
REMOTE_IBMSPH_DEBUG_PORT.order = 16

#FTP_ID = together
#FTP_ID.name = FTP User ID 
#FTP_ID.type = StringField
#FTP_ID.page = remotedeploy
#FTP_ID.order = 1

#FTP_PASSWORD = together
#FTP_PASSWORD.name = FTP Password
#FTP_PASSWORD.type = PasswordField
#FTP_PASSWORD.page = remotedeploy
#FTP_PASSWORD.order = 2

CLIENT_CLASS = Main
CLIENT_CLASS.name = Client main class
CLIENT_CLASS.type = StringField
CLIENT_CLASS.page = client
CLIENT_CLASS.order = 1

CLIENT_SOURCES = .
CLIENT_SOURCES.name = Path to client sources
CLIENT_SOURCES.type = DirectoryField
CLIENT_SOURCES.page = client
CLIENT_SOURCES.order = 2
CLIENT_SOURCES.check.1 = %%CLIENT_SOURCES%%
CLIENT_SOURCES.check.1.type = DirExistence
CLIENT_SOURCES.check.1.message = Target directory '%%CLIENT_SOURCES%%' does not exist

CLIENT_TARGET = %%$TG_HOME%%\\out\\%%$PRJ_NAME%%
CLIENT_TARGET.name = Path to target directory
CLIENT_TARGET.type = DirectoryField
CLIENT_TARGET.page = client
CLIENT_TARGET.order = 3

JAR_NAME = togetherEJB
JAR_NAME.name = Short name of EJB JAR file
JAR_NAME.type = StringField
JAR_NAME.page = dirs
JAR_NAME.order = 5
JAR_NAME.check.1 = task.generateDD
JAR_NAME.check.1.type = StepOver
JAR_NAME.check.1.message = 
JAR_NAME.check.3 = %%RemoteDeployJar%%
JAR_NAME.check.3.type = FileNotExistsOrWriteable
JAR_NAME.check.3.message = File '%%RemoteDeployJar%%' already exists and can't be overwritten, select another Short name of EJB JAR file
JAR_NAME.check.2 = %%RemoteDeployJar%%
JAR_NAME.check.2.type = FileAlreadyExist
JAR_NAME.check.2.message = File '%%RemoteDeployJar%%' already exists. Continue with this Short name of EJB JAR file?

VIRTUAL_HOST_NAME = default_host
VIRTUAL_HOST_NAME.name = Virtual Host Name
VIRTUAL_HOST_NAME.type = StringField
VIRTUAL_HOST_NAME.page = processServlets
VIRTUAL_HOST_NAME.order = 1

SERVLET_ENGINE_NAME = Default Servlet Engine
SERVLET_ENGINE_NAME.name = Servlet Engine Name
SERVLET_ENGINE_NAME.type = StringField
SERVLET_ENGINE_NAME.page = processServlets
SERVLET_ENGINE_NAME.order = 2

WEB_APPLICATION_NAME = default_app
WEB_APPLICATION_NAME.name = Web Application Name
WEB_APPLICATION_NAME.type = StringField
WEB_APPLICATION_NAME.page = processServlets
WEB_APPLICATION_NAME.order = 3

WEB_APPLICATION_DOC_ROOT = 
WEB_APPLICATION_DOC_ROOT.name = Web Application Document Root
WEB_APPLICATION_DOC_ROOT.type = DirectoryField
WEB_APPLICATION_DOC_ROOT.page = processServlets
WEB_APPLICATION_DOC_ROOT.order = 4
                  
WEB_APPLICATION_WEB_PATH = /
WEB_APPLICATION_WEB_PATH.name = Web Application Web Path
WEB_APPLICATION_WEB_PATH.type = StringField
WEB_APPLICATION_WEB_PATH.page = processServlets
WEB_APPLICATION_WEB_PATH.order = 5

WEB_PATH = /servlet
WEB_PATH.name = Relative Web Path to the Servlet(s) directory 
WEB_PATH.type = StringField
WEB_PATH.page = processServlets
WEB_PATH.order = 6

SERVLET_JAR_NAME = servlets
SERVLET_JAR_NAME.name = Servlet Jar File Name
SERVLET_JAR_NAME.type = StringField
SERVLET_JAR_NAME.page = processServlets
SERVLET_JAR_NAME.order = 7
SERVLET_JAR_NAME.check.1 = %%ServletRemoteDeployJar%%
SERVLET_JAR_NAME.check.1.type = FileAlreadyExist
SERVLET_JAR_NAME.check.1.message = File '%%ServletRemoteDeployJar%%' already exists. Continue with this Short name of Servlet JAR file?

CREATE_JSP_SERVLET = false
CREATE_JSP_SERVLET.name = Create JSP 1.0 Support Servlet
CREATE_JSP_SERVLET.type = BooleanField
CREATE_JSP_SERVLET.page = processServlets
CREATE_JSP_SERVLET.order = 8

CREATE_JSP_SERVLET = false
CREATE_JSP_SERVLET.name = Create JSP 1.0 Support Servlet
CREATE_JSP_SERVLET.type = BooleanField
CREATE_JSP_SERVLET.page = processServlets
CREATE_JSP_SERVLET.order = 9

CREATE_FILE_SERVICE_SERVLET = false
CREATE_FILE_SERVICE_SERVLET.name = Enable File Serving from this Web Application
CREATE_FILE_SERVICE_SERVLET.type = BooleanField
CREATE_FILE_SERVICE_SERVLET.page = processServlets
CREATE_FILE_SERVICE_SERVLET.order = 10

LoadServletAtStartup = true
LoadServletAtStartup.name = Load Servlets at Startup
LoadServletAtStartup.type = BooleanField
LoadServletAtStartup.page = processServlets
LoadServletAtStartup.order = 11

EnabledMode = true
EnabledMode.name = Enable Servlets 
EnabledMode.type = BooleanField
EnabledMode.page = processServlets
EnabledMode.order = 12

ServletDebugMode = false
ServletDebugMode.name = Enable Debugging 
ServletDebugMode.type = BooleanField
ServletDebugMode.page = processServlets
ServletDebugMode.order = 13

# ---------------- JSP generetion page description -----------------

JSP_DOC_ROOT = %%WEB_APPLICATION_DOC_ROOT%%
JSP_DOC_ROOT.name = Document root directory (for placing JSP)
JSP_DOC_ROOT.type = DirectoryField
JSP_DOC_ROOT.page = generateJsp
JSP_DOC_ROOT.order = 1
#JSP_DOC_ROOT.check.1 = %%JSP_DOC_ROOT%%
#JSP_DOC_ROOT.check.1.type = DirExistenceConfirm
#JSP_DOC_ROOT.check.1.message = Directory '%%JSP_DOC_ROOT%%' does not exist.\nWould you like to create it?

JSP_DIR = myJSP
JSP_DIR.name = Subdirectory for placing JSP files (relative to document root)
JSP_DIR.type = StringField
JSP_DIR.page = generateJsp
JSP_DIR.order = 2
JSP_DIR.check.1 = %%JSP_DOC_ROOT%%\\%%JSP_DIR%%
JSP_DIR.check.1.type = DirExistenceConfirm
JSP_DIR.check.1.message = Directory '%%JSP_DOC_ROOT%%\\%%JSP_DIR%%' does not exist.\nWould you like to create it?

JSP_URL = http://localhost%%WEB_APPLICATION_WEB_PATH%%
JSP_URL.name = Root Web path for browsing JSP (subdirectory will be appended automatically)
JSP_URL.type = StringField
JSP_URL.page = generateJsp
JSP_URL.order = 3

JNDI_PROVIDER_URL = iiop://localhost:900
JNDI_PROVIDER_URL.name = WebSphere JNDI service provider URL
JNDI_PROVIDER_URL.type = StringField
JNDI_PROVIDER_URL.page = generateJsp
JNDI_PROVIDER_URL.order = 4

JSP_VIEW = true
JSP_VIEW.name = Show result after generation
JSP_VIEW.type = BooleanField
JSP_VIEW.page = generateJsp
JSP_VIEW.order = 5

#
# PLUGIN Properties
#

#
# not editable properties
#
# ".page" is not defined; the property doesn't appear on any page of wizard

plugin.name = IBM WebSphere 3.5 Advanced
plugin.version = 1.1
plugin.message_tab = EJB Deployment
plugin.message_prefix = was35:\u0020

ejb.type = 1.0

ejb.ddprologue = <?xml version='1.0' encoding="ISO-8859-1" ?>

ejb.deployprologue = <?xml version="1.0"?>\n\
                 <!DOCTYPE websphere-sa-config SYSTEM "$server_root$$dsep$bin$dsep$xmlconfig.dtd" >

# The directories where all temp files would be located
env_DeployTemp = %%TEMP_OUT%%\\DeployEJB
env_JetAce = %%TEMP_OUT%%\\JetAce


# The tools and macros for further using
env_JAVAC = %%JAVA_HOME%%\\bin\\javac.exe
env_JAR = %%JAVA_HOME%%\\bin\\jar.exe
env_JRE = %%JAVA_HOME%%\\bin\\java.exe

env_CP = %%JAVA_HOME%%\\lib\\classes.zip;\
         %%IBMSPH_HOME%%\\lib\\deployTool.jar;\
         %%IBMSPH_HOME%%\\lib\\iioptools.jar;\
         %%IBMSPH_HOME%%\\lib\\ujc.jar;\
         %%IBMSPH_HOME%%\\lib\\ejs.jar;\
         %%IBMSPH_HOME%%\\lib\\vaprt.jar;\
         %%IBMSPH_HOME%%\\lib\\ivbjfaceall.jar;\
         %%IBMSPH_HOME%%\\lib\\BEXruntime.jar;\
         %%IBMSPH_HOME%%\\lib\\developBEX.jar;\
         %%IBMSPH_HOME%%\\lib\\jetace.jar;\
         %%IBMSPH_HOME%%\\lib\\developEJB.jar;\
         %%IBMSPH_HOME%%\\lib\\xml4j.jar;\
         %%IBMSPH_HOME%%\\lib\\ibmwebas.jar;\
         %%IBMSPH_HOME%%\\lib\\console.jar;\
         %%IBMSPH_HOME%%\\lib\\admin.jar;\
         %%IBMSPH_HOME%%\\properties;\
         %%IBMSPH_HOME%%\\lib\\repository.jar;\
         %%IBMSPH_HOME%%\\lib\\sslight.jar;\
         %%IBMSPH_HOME%%\\lib\\swingall.jar;\
         %%IBMSPH_HOME%%\\lib\\servlet.jar;\
         %%env_JetAce%%;\
         %%$CLASSPATH_PROJECT%%;\
         %%$PROJECT_DIR%%;
         
env_XMLConfig = %%IBMSPH_HOME%%\\lib\\ibmwebas.jar;\
         %%IBMSPH_HOME%%\\lib\\servlet.jar;\
         %%IBMSPH_HOME%%\\lib\\xml4j.jar;\
         %%IBMSPH_HOME%%\\lib\\ujc.jar;\
         %%IBMSPH_HOME%%\\lib\\ejs.jar;\
         %%IBMSPH_HOME%%\\lib\\console.jar;\
         %%IBMSPH_HOME%%\\lib\\admin.jar;\
         %%IBMSPH_HOME%%\\lib\\repository.jar;\
         %%IBMSPH_HOME%%\\lib\\sslight.jar;\
         %%IBMSPH_HOME%%\\lib\\tasks.jar;\
         %%IBMSPH_HOME%%\\lib\\ivjejb35.jar;\
         %%IBMSPH_HOME%%\\properties;\
         %%JAVA_HOME%%\\lib\\tools.jar


env_EjbJar = %%env_DeployTemp%%\\ejb-jar.xml

#WebSphere params
InputJar = %%TEMP_OUT%%\\%%JAR_NAME%%.jar
OutputJar = %%TEMP_OUT%%\\%%JAR_NAME%%.jar


#Params used by steps of EJBDeploy Expert Wizard
DeployPrefix = Deployable
ServletDeployPrefix = Servlet
DeployJar = %%IBMSPH_HOME%%\\%%RESULT_OUT%%\\%%DeployPrefix%%%%JAR_NAME%%.jar
DeployJarName = %%DeployPrefix%%%%JAR_NAME%%.jar
ServletDeployJarName = %%SERVLET_JAR_NAME%%
DeployJarDir = %%RESULT_OUT%%
DeployJarFullDir = %%IBMSPH_HOME%%\\%%RESULT_OUT%%
RemoteDeployJar = %%REMOTE_IBMSPH_HOME%%\\%%RESULT_OUT%%\\%%DeployPrefix%%%%JAR_NAME%%.jar
ServletRemoteDeployJar = %%REMOTE_IBMSPH_HOME%%\\%%RESULT_OUT%%\\%%ServletDeployJarName%%.jar
WLMJARCommandLine = cmd /c "set WAS_HOME=%%IBMSPH_HOME%% && set JAVA_HOME=%%IBMSPH_HOME%%\\jdk && %%IBMSPH_HOME%%\\bin\\wlmjar.cmd %%cmdLineForWLMJAR%%"
WLMJARMoveCommand = cmd /c copy %%IBMSPH_HOME%%\\bin\\_wlm_%%DeployPrefix%%%%JAR_NAME%%.jar %%IBMSPH_HOME%%\\bin\\%%DeployPrefix%%%%JAR_NAME%%.jar
WLMFullDir = %%IBMSPH_HOME%%\\bin
execIBMJetAce = "%%env_JRE%%" -classpath "%%env_DeployTemp%%;%%TEMP_OUT%%;%%env_CP%%;.;" -DJETACE_WORK_DIR=%%TEMP_OUT%% com.ibm.ejb.jetjar.JetAceMain -f %%XMLFileName%%
ManifestFile = %%IBMSPH_HOME%%\\%%RESULT_OUT%%\\manifest.mf

#Default params used to create corresponded XML tags
SessionTimeout = 0
IsolationAttribute = READ_COMMITTED
DbExclusiveAccess = false
MinPoolSize = 2
RunAsMode SYSTEM_IDENTITY


# The step actions

read.step.1 = echo Not implemented yet
read.step.1.label = start

####### Deployment preconditions confirming of specified filter classes #######
write.step.5 = com.togethersoft.modules.ejbframework.traverser.util.AnyEJBFilter
write.step.5.label = Checking current diagram for EJBs...
write.step.5.param.ErrorMessage = There are no EJBs on the current diagram! You must have at least one EJB to continue deployment process.
write.step.5.type = ejbframework.step.DeploymentPreconditions
write.step.5.task = task.generateDD

#write.step.6 = com.togethersoft.modules.ejbframework.traverser.util.ServletFilter
#write.step.6.label = Checking current diagram for Servlets...
#write.step.6.param.ErrorMessage = There are no Servlets on the current diagram! You must have at least one Servlet to continue deployment process.
#write.step.6.type = ejbframework.step.DeploymentPreconditions
#write.step.6.task = task.processServlets
###############################################################################


write.step.10 = Start Export
write.step.10.type = ejbframework.step.DisplayMessage

write.step.15 = %%env_CP%%;%%JAVA_HOME%%\\jre\\lib\\ext\\rmiorb.jar;%%JAVA_HOME%%\\jre\\lib\\ext\\iioprt.jar;
write.step.15.label = >>>>>>>>>> Adding "%%env_CP%%;%%JAVA_HOME%%\\jre\\lib\\ext\\rmiorb.jar;%%JAVA_HOME%%\\jre\\lib\\ext\\iioprt.jar;%%RemoteDeployJar%%" to the project Search/Classpath
write.step.15.type = ejbframework.step.AddToProjectClasspath
write.step.15.task = task.addImports

# Create directories if they are not existing yet
write.step.20 = %%IBMSPH_HOME%%\\%%RESULT_OUT%%
write.step.20.label = >>>>>>>>>> Creating the target dir %%IBMSPH_HOME%%\\%%RESULT_OUT%%
write.step.20.type = ejbframework.step.CreateDir

write.step.25 = %%env_DeployTemp%%
write.step.25.label = >>>>>>>>>> Deleting previous temp files
write.step.25.type = ejbframework.step.RemoveDirSilent
write.step.25.task = task.deleteTempBefore

#write.step.26 = %%env_JetAce%%
#write.step.26.label = >>>>>>>>>> Deleting previous JetAce temp files
#write.step.26.type = ejbframework.step.RemoveDirSilent
#write.step.26.task = task.deleteTempBefore

write.step.30 = %%env_DeployTemp%%
write.step.30.label = >>>>>>>>>> Creating folder for temp files
write.step.30.type = ejbframework.step.CreateDir

write.step.31 = %%env_JetAce%%
write.step.31.label = >>>>>>>>>> Creating folder for JetAce temp files
write.step.31.type = ejbframework.step.CreateDir

write.step.40 = %%env_DeployTemp%%\\META-INF
write.step.40.type = ejbframework.step.CreateDir

#=================================================================================
# Verifying/correction section

# create backup dir if Verify task is selected and Backup checkbox is on
write.step.51 = CREATE_BACKUP_DIR
write.step.51.type = ejbframework.step.EvaluateLogicalExpr
write.step.51.param.oper = AND
write.step.51.param.arg1 = %%task.correctBeans%%
write.step.51.param.arg2 = %%DO_BACKUP%%

write.step.54 = %%BACKUP_DIR%%
write.step.54.label = >>>>>>>>>> Creating folder for backup files
write.step.54.type = ejbframework.step.CreateDir
write.step.54.task = CREATE_BACKUP_DIR

write.step.57 = VERIFY_AND_CORRECT
write.step.57.type = ejbframework.step.EvaluateLogicalExpr
write.step.57.param.oper = AND
write.step.57.param.arg1 = %%task.correctBeans%%
write.step.57.param.arg2 = %%CORRECT_SRC%%

# Step 1. Verify
write.step.60 = Verifying EJBs for compliance with IBMWS3.0
write.step.60.type = ejbframework.step.DisplayMessage
write.step.60.task = task.correctBeans

write.step.64 = Correct EJB if there are no interfaces
write.step.64.label = >>>>>>>>>> Creating for interfaces EJBs 
write.step.64.type = ejbframework.step.verify.VerificationRemouteHome
write.step.64.param.Backup = %%DO_BACKUP%%
write.step.64.param.BackupCmd = cmd /c copy %%file_name%% %%BACKUP_DIR%%
write.step.64.param.BackupType = ejbframework.step.ExecuteCommandLine
write.step.64.param.StopIfError = %%STOP_IF_NOT_COMPLIANT%%
write.step.64.task = task.verify

write.step.65 = Checking package for WebSphere
write.step.65.type = ejbframework.step.verify.VerificationPackage
write.step.65.param.StopIfError = %%STOP_IF_NOT_COMPLIANT%%
write.step.65.task = task.verify

write.step.66 = Checking package name for WebSphere
write.step.66.type = ejbframework.step.verify.VerificationRemoteHomeName
write.step.66.param.StopIfError = %%STOP_IF_NOT_COMPLIANT%%
write.step.66.task = task.verify

write.step.68 = Correct CMP ejbCreate methods to EJB1.0 Spec
write.step.68.label = >>>>>>>>>> Correcting CMP EJBs ejbCreate methods to EJB1.0
write.step.68.type = ejbframework.step.migrate.CorrectEjbCreateCMP10
write.step.68.param.Backup = %%DO_BACKUP%%
write.step.68.param.BackupCmd = cmd /c copy %%file_name%% %%BACKUP_DIR%%
write.step.68.param.BackupType = ejbframework.step.ExecuteCommandLine
write.step.68.param.StopIfError = %%STOP_IF_NOT_COMPLIANT%%
write.step.68.param.remarkReturn = %%DO_RETURN%%
write.step.68.task = VERIFY_AND_CORRECT

# check whether CMP ejbCreate methods return PK (not void as in EJB1.0)
write.step.72 = Check for CMP ejbCreate methods
write.step.72.label = >>>>>>>>>> Verifying CMP EJBs ejbCreate methods
write.step.72.type = ejbframework.step.verify.EjbCreateCMP10
write.step.72.param.StopIfError = %%STOP_IF_NOT_COMPLIANT%%
write.step.72.task = task.correctBeans


#=================================================================================

write.step.75.label = >>>>>>>>>> Correct EJB for selected server
write.step.75.type = ejbframework.step.CorrectEjb
write.step.75.task = task.correctBeans

write.step.78.label = >>>>>>>>>> Correct transaction attributes for the selected server
write.step.78.type = ejbframework.step.CorrectTransactions
write.step.78.param.Specification = 1.0
write.step.78.task = task.correctBeans

write.step.81 = Checking package for WebSphere
write.step.81.type = ejbframework.step.verify.VerificationPackage
write.step.81.param.StopIfError = %%STOP_IF_NOT_COMPLIANT%%
write.step.81.task = VERIFY_AND_CORRECT

write.step.85 = Checking package name for WebSphere
write.step.85.type = ejbframework.step.verify.VerificationRemoteHomeName
write.step.85.param.StopIfError = %%STOP_IF_NOT_COMPLIANT%%
write.step.85.task = VERIFY_AND_CORRECT

write.step.90.label = >>>>>>>>>> Creating Finder Helper Methods 
write.step.90.type = ejbframework.plugins.ibmws35.step.WebSphereFinderStep
write.step.90.task = task.generateDD

write.step.100 = "%%env_JAVAC%%"  -g -d %%env_DeployTemp%% -classpath "%%env_CP%%;.;%%env_DeployTemp%%" %%classes_to_compile%%
write.step.100.label = >>>>>>>>>> Compiling EJB(s) to %%env_DeployTemp%%
write.step.100.type = ejbframework.step.Compile
write.step.100.task = task.compile

# "-C %%TEMP_OUT%% ." means that root of directories to archive is located in TEMP_OUT and parent
# levels of directory tree should not arrive in result jar. All files and subdirectories
# of TEMP_OUT should be added
write.step.450.label = >>>>>>>>>> Creating JAR step 1: %%TEMP_OUT%%\\%%JAR_NAME%%.jar
write.step.450 = "%%env_JAR%%" cvf %%TEMP_OUT%%\\%%JAR_NAME%%.jar *.*
write.step.450.type = ejbframework.step.ExtendedExecuteCommandLine
#write.step.450.task = task.compile
write.step.450.param.verbose = %%VERBOSE%%
write.step.450.param.highlightErrors = false

write.step.455.label = >>>>>>>>>> Copying Jar to %%IBMSPH_HOME%%\\%%RESULT_OUT%%\\%%SERVLET_JAR_NAME%%.jar
write.step.455 = cmd /c copy %%TEMP_OUT%%\\%%JAR_NAME%%.jar %%IBMSPH_HOME%%\\%%RESULT_OUT%%\\%%SERVLET_JAR_NAME%%.jar
write.step.455.type = ejbframework.step.ExtendedExecuteCommandLine
write.step.455.task = task.processServlets
write.step.455.param.verbose = %%VERBOSE%%
write.step.455.param.highlightErrors = false

write.step.460.label = >>>>>>>>>> Creating XML DD file
write.step.460 =
write.step.460.type = ejbframework.plugins.ibmws35.step.WebSphereDTD
write.step.460.task = task.generateDD

#write.step.465.label = >>>>>>>>>> XML files editing
#write.step.465 = %%env_DeployTemp%%\\%%BEAN_NAME%%.xml
#write.step.465.type = ejbframework.xmleditor.CallCycleXMLEditor
#write.step.465.task = task.xmlEditor

#write.step.465.label = >>>>>>>>>> Creating JetAce working directories
#write.step.465 = cmd /c mkdir %%env_JetAce%%%%BEAN_NAME%% 
#write.step.465.type = ejbframework.step.BeanCycleCommandLineExecutor
#write.step.465.task = task.generateDD
#write.step.465.param.verbose = %%VERBOSE%%
#write.step.465.param.highlightErrors = true

write.step.470.label = >>>>>>>>>> Creating serialized DD with IBM JetAce tool
write.step.470 = "%%env_JRE%%" -classpath "%%env_DeployTemp%%;%%TEMP_OUT%%;%%env_CP%%;.;%%env_JetAce%%" -DJETACE_WORK_DIR=%%env_JetAce%% com.ibm.ejb.jetjar.JetAceMain -f %%JAR_NAME%%.xml
write.step.470.type = ejbframework.step.ExtendedExecuteCommandLine
write.step.470.task = task.generateDD
write.step.470.param.verbose = %%VERBOSE%%
write.step.470.param.highlightErrors = true

# Deployable jar building
write.step.500 = "%%env_JRE%%" -classpath "%%env_CP%%;" com.ibm.ivj.ejb.tools.deployment.EJBDeploy %%OutputJar%% %%TEMP_OUT%% %%DeployJar%% -t
write.step.500.label = >>>>>>>>>> Creating deployable JAR step 2: %%DeployJar%%
write.step.500.type = ejbframework.step.ExtendedExecuteCommandLine
write.step.500.task = task.generateDD
write.step.500.param.verbose = %%VERBOSE%%
write.step.500.param.highlightErrors = false

################################# WLM Generation ###############################

write.step.504 = cmd /c copy %%IBMSPH_HOME%%\\%%RESULT_OUT%%\\%%DeployPrefix%%%%JAR_NAME%%.jar %%IBMSPH_HOME%%\\bin\\%%DeployPrefix%%%%JAR_NAME%%.jar
write.step.504.label = >>>>>>>>>> Copying '%%DeployJar%%' to WLM utility directory
write.step.504.type = ejbframework.step.ExtendedExecuteCommandLine
write.step.504.task = task.wlmjar
write.step.504.param.verbose = %%VERBOSE%%
write.step.504.param.highlightErrors = false

write.step.505 =
write.step.505.label = >>>>>>>>>> Enabling jar for Work Load Management
write.step.505.type = ejbframework.plugins.ibmws35.step.WebSphereWLMjarStep
write.step.505.task = task.wlmjar

write.step.506 = cmd /c copy %%IBMSPH_HOME%%\\bin\\_wlm_%%DeployPrefix%%%%JAR_NAME%%.jar %%IBMSPH_HOME%%\\%%RESULT_OUT%%\\%%DeployPrefix%%%%JAR_NAME%%.jar
write.step.506.label = >>>>>>>>>> Copying WLM enabled '%%DeployJar%%' to %%IBMSPH_HOME%%\\%%RESULT_OUT%% directory
write.step.506.type = ejbframework.step.ExtendedExecuteCommandLine
write.step.506.task = task.wlmjar
write.step.506.param.verbose = %%VERBOSE%%
write.step.506.param.highlightErrors = false

#write.step.507 = cmd /c copy %%IBMSPH_HOME%%\\bin\\%%DeployPrefix%%%%JAR_NAME%%.jar %%IBMSPH_HOME%%\\%%RESULT_OUT%%\\%%DeployPrefix%%%%JAR_NAME%%.jar
#write.step.507.label = >>>>>>>>>> Creating deployable JAR step 2: %%DeployJar%%
#write.step.507.type = ejbframework.step.ExtendedExecuteCommandLine
#write.step.507.task = task.wlmjar
#write.step.507.param.verbose = %%VERBOSE%%
#write.step.507.param.highlightErrors = false

write.step.508 = cmd /c del %%IBMSPH_HOME%%\\bin\\_wlm_%%DeployPrefix%%%%JAR_NAME%%.jar 
write.step.508.label = >>>>>>>>>> Deleting temporary WLM jar: step 1 
write.step.508.type = ejbframework.step.ExtendedExecuteCommandLine
write.step.508.task = task.wlmjar
write.step.508.param.verbose = %%VERBOSE%%
write.step.508.param.highlightErrors = false

write.step.509 = cmd /c del %%IBMSPH_HOME%%\\bin\\%%DeployPrefix%%%%JAR_NAME%%.jar 
write.step.509.label = >>>>>>>>>> Deleting temporary WLM jar: step 2
write.step.509.type = ejbframework.step.ExtendedExecuteCommandLine
write.step.509.task = task.wlmjar
write.step.509.param.verbose = %%VERBOSE%%
write.step.509.param.highlightErrors = false

########################################### stops and removes beans #############################################
write.step.513 = stop
write.step.513.label = >>>>>>>>>> Stop step 1: XML import file(s) creation
write.step.513.type = ejbframework.plugins.ibmws35.step.WebSphereDeployStep
write.step.513.task = task.stop

write.step.514 = "%%env_JRE%%" -classpath "%%env_XMLConfig%%" -Dserver.root=%%IBMSPH_HOME%% com.ibm.websphere.xmlconfig.XMLConfig -adminNodeName %%NODE_NAME%% -import stopDeploy%%JAR_NAME%%.xml -nameServiceHost %%NODE_NAME%% -nameServicePort %%REMOTE_HOST_PORT%%
write.step.514.label = >>>>>>>>>> Stop step 2: Stopping bean(s) and servlet(s) in the running IBM WebSphere server
write.step.514.type = ejbframework.step.ExtendedExecuteCommandLine
write.step.514.task = task.stop
write.step.514.param.verbose = %%VERBOSE%%
write.step.514.param.highlightErrors = false

write.step.515 = delete
write.step.515.label = >>>>>>>>>> Remove step 1: XML import file(s) creation
write.step.515.type = ejbframework.plugins.ibmws35.step.WebSphereDeployStep
write.step.515.task = task.stop

write.step.516 = "%%env_JRE%%" -classpath "%%env_XMLConfig%%" -Dserver.root=%%IBMSPH_HOME%% com.ibm.websphere.xmlconfig.XMLConfig -adminNodeName %%NODE_NAME%% -import deleteDeploy%%JAR_NAME%%.xml -nameServiceHost %%NODE_NAME%% -nameServicePort %%REMOTE_HOST_PORT%%
write.step.516.label = >>>>>>>>>> Remove step 2: Removing bean(s) and servlet(s) from the running IBM WebSphere server
write.step.516.type = ejbframework.step.ExtendedExecuteCommandLine
write.step.516.task = task.stop
write.step.516.param.verbose = %%VERBOSE%%
write.step.516.param.highlightErrors = false

################################################### Hot Deploy ################################################
write.step.520 = create
write.step.520.label = >>>>>>>>>> Hot Deploy step 1: XML import file(s) creation
write.step.520.type = ejbframework.plugins.ibmws35.step.WebSphereDeployStep
write.step.520.task = task.hotdeploy

#write.step.525 = host="%%REMOTE_HOST_NAME%%" user="%%FTP_ID%%" pwd="%%FTP_PASSWORD%%" src="%%IBMSPH_HOME%%\\%%RESULT_OUT%%\\%%DeployPrefix%%%%JAR_NAME%%.jar" dest="%%REMOTE_IBMSPH_HOME%%/%%RESULT_OUT%%" jar="%%DeployPrefix%%%%JAR_NAME%%.jar"
#write.step.525.label = >>>>>>>>>> Remote Deploy: Transferring jar File to Remote Server
#write.step.525.type = ejbframework.plugins.ibmws35.step.WebSphereFTPJarFile
#write.step.525.task = task.remotedeploy

#write.step.525 = host="%%REMOTE_HOST_NAME%%" user="%%FTP_ID%%" pwd="%%FTP_PASSWORD%%" src="%%IBMSPH_HOME%%\\%%RESULT_OUT%%\\%%ServletDeployPrefix%%%%JAR_NAME%%.jar" dest="%%REMOTE_IBMSPH_HOME%%/%%RESULT_OUT%%" jar="%%ServletDeployPrefix%%%%JAR_NAME%%.jar"
#write.step.525.label = >>>>>>>>>> Remote Deploy: Transferring jar File to Remote Server
#write.step.525.type = ejbframework.plugins.ibmws35.step.WebSphereFTPJarFile
#write.step.525.task = task.remotedeploy

write.step.530 = "%%env_JRE%%" -classpath "%%env_XMLConfig%%" -Dserver.root=%%IBMSPH_HOME%% com.ibm.websphere.xmlconfig.XMLConfig -adminNodeName %%NODE_NAME%% -import createDeploy%%JAR_NAME%%.xml -nameServiceHost %%NODE_NAME%% -nameServicePort %%REMOTE_HOST_PORT%%
write.step.530.label = >>>>>>>>>> Hot Deploy step 2: deployment of the jar-packed bean(s) and servlet(s) to the running IBM WebSphere server
write.step.530.type = ejbframework.step.ExtendedExecuteCommandLine
write.step.530.task = task.hotdeploy
write.step.530.param.verbose = %%VERBOSE%%
write.step.530.param.highlightErrors = true

################################################# Start bean ##################################################
write.step.535 = RUN_SERVLETS
write.step.535.type = ejbframework.step.EvaluateLogicalExpr
write.step.535.param.oper = AND
write.step.535.param.arg1 = %%task.processServlets%%
write.step.535.param.arg2 = %%task.start%%

write.step.545 = restart
write.step.545.label = >>>>>>>>>> Start servlets 1: XML import file(s) creation
write.step.545.type = ejbframework.plugins.ibmws35.step.WebSphereDeployStep
write.step.545.task = RUN_SERVLETS

write.step.555 = "%%env_JRE%%" -classpath "%%env_XMLConfig%%" -Dserver.root=%%IBMSPH_HOME%% com.ibm.websphere.xmlconfig.XMLConfig -adminNodeName %%NODE_NAME%% -import restartDeploy%%JAR_NAME%%.xml -nameServiceHost %%NODE_NAME%% -nameServicePort %%REMOTE_HOST_PORT%%
write.step.555.label = >>>>>>>>>> Start servlets 2: Starting servlet(s) in running IBM WebSphere server
write.step.555.type = ejbframework.step.ExtendedExecuteCommandLine
write.step.555.task = RUN_SERVLETS
write.step.555.param.verbose = %%VERBOSE%%
write.step.555.param.highlightErrors = true

write.step.564 = start
write.step.564.label = >>>>>>>>>> Start step 1: XML import file(s) creation
write.step.564.type = ejbframework.plugins.ibmws35.step.WebSphereDeployStep
write.step.564.task = task.start

write.step.565 = "%%env_JRE%%" -classpath "%%env_XMLConfig%%" -Dserver.root=%%IBMSPH_HOME%% com.ibm.websphere.xmlconfig.XMLConfig -adminNodeName %%NODE_NAME%% -import startDeploy%%JAR_NAME%%.xml -nameServiceHost %%NODE_NAME%% -nameServicePort %%REMOTE_HOST_PORT%%
write.step.565.label = >>>>>>>>>> Start step 2: Starting bean(s) in running IBM WebSphere server
write.step.565.type = ejbframework.step.ExtendedExecuteCommandLine
write.step.565.task = task.start
write.step.565.param.verbose = %%VERBOSE%%
write.step.565.param.highlightErrors = true

################################################ Client building steps ########################################

write.step.600 = %%CLIENT_TARGET%%
write.step.600.label = >>>>>>>>>> Creating folder for the temp files
write.step.600.type = ejbframework.step.CreateDir

write.step.610 = cmd /c copy %%$TG_HOME%%\\modules\\com\\togethersoft\\modules\\ejbframework\\plugins\\ibmws35\\compileClient.bat %%CLIENT_TARGET%%
write.step.610.label = >>>>>>>>>> Copying start file for the client
write.step.610.type = ejbframework.step.ExecuteCommandLine
write.step.610.task = task.genRunClient

write.step.620 = src="%%CLIENT_TARGET%%\\compileClient.bat" dest="%%CLIENT_TARGET%%" jdk="%%JAVA_HOME%%" ibmws="%%IBMSPH_HOME%%" out="." sources="%%CLIENT_SOURCES%%" jar="%%OutputJar%%"
write.step.620.label = >>>>>>>>>> Generating compile file for the client
write.step.620.type = ejbframework.plugins.ibmws35.step.GenClientCompileFile
write.step.620.task = task.genRunClient

write.step.640 = cmd /c copy %%$TG_HOME%%\\modules\\com\\togethersoft\\modules\\ejbframework\\plugins\\ibmws35\\runClient.bat %%CLIENT_TARGET%%
write.step.640.label = >>>>>>>>>> Copying start file for the client
write.step.640.type = ejbframework.step.ExecuteCommandLine
write.step.640.task = task.genRunClient

write.step.650 = src="%%CLIENT_TARGET%%\\runClient.bat" dest="%%CLIENT_TARGET%%" jar="%%DeployJar%%" jdk="%%JAVA_HOME%%" ibmws="%%IBMSPH_HOME%%" client="%%CLIENT_CLASS%%"
write.step.650.label = >>>>>>>>>> Generating start file for the client
write.step.650.type = ejbframework.plugins.ibmws35.step.GenClientStartFile
write.step.650.task = task.genRunClient

# Generation JSP client
write.step.800 =
write.step.800.label = >>>>>>>>>> Generating simple JSP client
write.step.800.type = ejbframework.plugins.ibmws35.step.GenerateJspClient
write.step.800.task = task.generateJsp
write.step.800.param.docRoot = %%JSP_DOC_ROOT%%
write.step.800.param.baseURL = %%JSP_URL%%
write.step.800.param.subDir = %%JSP_DIR%%
write.step.800.param.jndiUrl = %%JNDI_PROVIDER_URL%%
write.step.800.param.viewJSP = %%JSP_VIEW%%
write.step.800.param.templateDir = %%$TG_HOME%%\\modules\\com\\togethersoft\\modules\\ejbframework\\step\\jsp\\templates\\
write.step.800.param.metamodelDir = %%$TG_HOME%%\\modules\\com\\togethersoft\\modules\\gendoc\\templates\\

# delete temp directory
write.step.1000 = %%env_DeployTemp%%
write.step.1000.type = ejbframework.step.RemoveDir
write.step.1000.label = >>>>>>>>>> Deleting temporary folder %%env_DeployTemp%%
write.step.1000.task = task.deleteTempAfter

write.step.1020 = %%env_JetAce%%
write.step.1020.label = >>>>>>>>>> Deleting previous JetAce temp files
write.step.1020.type = ejbframework.step.RemoveDirSilent
